AppServerCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.AppServerCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface AppServerCluster

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  CitrixFarm, DB2DataSharingGroup, DominoCluster, GenericAppServerCluster, IMSSysplexGroup, JBossCluster, MySAPCluster, OracleAppCluster, SysplexGroup, WebLogicCluster, WebSphereCluster

    public interface AppServerCluster

extends LogicalElement, ConfigurationItem

Represents a cluster of servers with identical functionality

Naming Rules:
  0="ip,port" 1="managedSystemName"
Persistable:
  true
Table Name:
  APPCLUSTER
Top Level:
  true
Display Name:
  ip,port

Field Summary
`static int` | `RUNNING`
`static int` | `STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getIp()`
`int` | `getPort()`
`AppServer[]` | `getServers()`
`int` | `getStatus()`
`VipFunction` | `getVipFunction()`
`boolean` | `hasIp()`
`boolean` | `hasPort()`
`boolean` | `hasServers()`
`boolean` | `hasStatus()`
`boolean` | `hasVipFunction()`
`void` | `setIp(IpAddress ip)`
`void` | `setPort(int port)`
`void` | `setServers(AppServer[] servers)`
`void` | `setStatus(int status)`
`void` | `setVipFunction(VipFunction vip)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### RUNNING

    static final int RUNNING

See Also:
  Constant Field Values

### STOPPED

    static final int STOPPED

See Also:
  Constant Field Values

Method Detail

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int status)

### hasStatus

    boolean hasStatus()

### getIp

    IpAddress getIp()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setIp

    void setIp(IpAddress ip)

### hasIp

    boolean hasIp()

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPort

    void setPort(int port)

### hasPort

    boolean hasPort()

### getVipFunction

    VipFunction getVipFunction()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.LoadBalances" reverse="true"

### setVipFunction

    void setVipFunction(VipFunction vip)

### hasVipFunction

    boolean hasVipFunction()

### getServers

    AppServer[] getServers()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setServers

    void setServers(AppServer[] servers)

### hasServers

    boolean hasServers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD